#----------------------------------------------------------------------------
#       GNU Workspace
#----------------------------------------------------------------------------

include $(ACE_ROOT)/include/makeinclude/macros.GNU
TARGETS_NESTED := $(TARGETS_NESTED:.nested=)
MFILES = \
         ../../bee/Makefile.libee2 \
         ../../vmelsec/src/Makefile.melshm \
         ../../secs/src/Makefile.secs \
         ../../ecm/src/Makefile.libecm \
         ../../gem/src/Makefile.libgem \
         Makefile.tclgem

$(TARGETS_NESTED):
ifneq (Windows,$(findstring Windows,$(OS)))
	@for file in $(MFILES); do \
	$(MAKE) -f `basename $$file` -C `dirname $$file` $(@); \
	done
else
	-@cmd /c "$(MAKE) -f Makefile.libee2 -C ../../bee $(@)"
	-@cmd /c "$(MAKE) -f Makefile.melshm -C ../../vmelsec/src $(@)"
	-@cmd /c "$(MAKE) -f Makefile.secs -C ../../secs/src $(@)"
	-@cmd /c "$(MAKE) -f Makefile.libecm -C ../../ecm/src $(@)"
	-@cmd /c "$(MAKE) -f Makefile.libgem -C ../../gem/src $(@)"
	-@cmd /c "$(MAKE) -f Makefile.tclgem -C . $(@)"
endif
